# getRootComponent

abstract fun getRootComponent(): Provider<ResolvedComponentResult>

Returns the root of resolved dependency graph as a Provider of ResolvedComponentResult. The returned Provider is live, and tracks the producer tasks of this resolution result. The provider will resolve the component metadata as required. You can walk the graph recursively from the root to obtain information about resolved dependencies. For example, Gradle's built-in 'dependencies' task uses this to render the dependency tree.

#### Return

a provider for the root component of the resolved dependency graph

#### Since

7.4